/*
 * usb.h part of XMEGA Oscilloscope
 *
 * Created: 2016-12-16
 * Atmel Studio 6 (Version: 6.2.1563 - Service Pack 2)
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */ 

#ifndef USB_H_
#define USB_H_

#include "USB\usb_xmega.h"

#define USB_MAX_BYTES					960			// multiply 64 and less than 1023
#define USB_COMUNICATION_TIMEOUT_ms		100

enum usb_error {
	USB_ERROR_Timeout
};

uint8_t usb_SendDataBuffer(uint8_t *buffer, uint16_t length);



#endif /* USB_H_ */