/*
 * mathasm.h part of XMEGA Oscilloscope
 *
 * Created: 2017-03-25 19:27:21
 * Atmel Studio 6 (Version: 6.2.1563 - Service Pack 2)
 *  Author: Krzysztof Markiewicz
 *  www.obbo.pl
 *
 * This program is distributed under the terms of the GNU General Public License
 */


#ifndef MATHASM_H_
#define MATHASM_H_

#include <stdint.h>


int8_t addsat(int8_t a, int8_t b);
int8_t subsat(int8_t a, int8_t b);
int16_t average15( int16_t a, int16_t b);
int8_t fmuls8(int8_t a, int8_t b);

#endif /* MATHASM_H_ */